OpenVDB: DenseTransformer< _ValueT, OpType > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
DenseTransformer< _ValueT, OpType > Class Template Reference

Class that applies a functor to the index space intersection of a prescribed bounding box and the dense grid. NB: This class only supports DenseGrids with ZYX memory layout. More...

`#include <DenseSparseTools.h>`

## Public Types
typedef _ValueT | ValueT
typedef Dense< ValueT, openvdb::tools::LayoutZYX > | DenseT
typedef openvdb::math::Coord::ValueType | IntType
typedef tbb::blocked_range2d< IntType, IntType > | RangeType

## Public Member Functions
| DenseTransformer (DenseT &dense, const openvdb::math::CoordBBox &bbox, const OpType &functor)
| DenseTransformer (const DenseTransformer &other)
void | apply (bool threaded=true)
void | operator() (const RangeType &range) const

## Detailed Description

### template<typename _ValueT, typename OpType>
class openvdb::v3_1_0::tools::DenseTransformer< _ValueT, OpType >

Class that applies a functor to the index space intersection of a prescribed bounding box and the dense grid. NB: This class only supports DenseGrids with ZYX memory layout.

## Member Typedef Documentation

typedef Dense<ValueT, openvdb::tools::LayoutZYX> DenseT

typedef openvdb::math::Coord::ValueType IntType

typedef tbb::blocked_range2d<IntType, IntType> RangeType

typedef _ValueT ValueT

## Constructor & Destructor Documentation

DenseTransformer | ( | DenseT & | dense,
|  | const openvdb::math::CoordBBox & | bbox,
|  | const OpType & | functor
| ) |  |
| inline

DenseTransformer | ( | const DenseTransformer< _ValueT, OpType > & | other | ) |
| inline

## Member Function Documentation

void apply | ( | bool | threaded = `true` | ) |
| inline

void operator() | ( | const RangeType & | range | ) | const
| inline

The documentation for this class was generated from the following file:

- DenseSparseTools.h